Retrieves a specific Catalog Field by id
curl --request GET \
--url https://api.rootly.com/v1/catalog_fields/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "catalog_fields",
"attributes": {
"catalog_id": "<string>",
"name": "<string>",
"kind": "text",
"multiple": true,
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"kind_catalog_id": "<string>",
"required": true,
"catalog_type": "catalog"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
comma separated if needed. eg: catalog
catalog catalog_field found without catalog_type when feature disabled
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/catalog_fields/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "catalog_fields",
"attributes": {
"catalog_id": "<string>",
"name": "<string>",
"kind": "text",
"multiple": true,
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"kind_catalog_id": "<string>",
"required": true,
"catalog_type": "catalog"
}
}
}